# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define _lto_cflags %nil
%define _libname	libdjconsole
%define soname      0

Summary:        DJ Console access library
Name:           libdjconsole
Version:        0.1.3
Release:        1699.5.pm.11
License: GPL-2.0
Group:          System/Libraries
# http://prdownloads.sourceforge.net/djplay/libdjconsole-%version.tar.gz
Source0:        %{_libname}-%version.tar.bz2
Source90:       %{_libname}-rpmlintrc
Patch0:         %{_libname}-returns-random-data.patch
URL:            http://djplay.sourceforge.net/
BuildRequires:  libusb-devel >= 0.1.11
BuildRequires:  libstdc++-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
libdjconsole allows access to the Hercules DJ Console.

Author:         Melanie Thielker <melanie@t-data.com>

%package -n libdjconsole%{soname}
Summary:        DJ Console access library
Group:          System/Libraries

%description -n libdjconsole%{soname}
libdjconsole allows access to the Hercules DJ Console.

Author:         Melanie Thielker <melanie@t-data.com>

%package -n libdjconsole-devel
Summary:        Development files for libdjconsole
Group:          Development/Libraries/C and C++
Requires:       %name%{soname} = %version-%release
Requires:       libstdc++-devel
Requires:       libusb-devel >= 0.1.11

%description -n libdjconsole-devel
Development headers and libraries for libdjconsole.

Author:         Melanie Thielker <melanie@t-data.com>

%prep
%autosetup -p1 -n %{_libname}-%version

%build
sed -i -e 's|Libs: -L${libdir} -ldjconsole|Libs: -ldjconsole -lstdc++ -lusb|g' \
    libdjconsole.pc.in

%configure \
    --enable-threads \
    --disable-system-install \
    --disable-more-warnings

%make_build

%install
%make_install rulesdir=%_udevrulesdir
sed -i~ 's|^libdir=.*|libdir=%_libdir|g' \
 %buildroot%_libdir/pkgconfig/libdjconsole.pc
diff -u "$_"~ "$_" && :
rm "$_"~

rm %buildroot%_libdir/%{_libname}.la

%post   -n libdjconsole%{soname} -p /sbin/ldconfig
%postun -n libdjconsole%{soname} -p /sbin/ldconfig

%files -n libdjconsole%{soname}
%doc AUTHORS README COPYING ChangeLog NEWS
%config %_udevrulesdir/45-hpdjconsole.rules
%_libdir/%{_libname}.so.%{soname}
%_libdir/%{_libname}.so.%{soname}.*
%_datadir/%{_libname}

%files -n libdjconsole-devel
%_libdir/%{_libname}.a
%_libdir/%{_libname}.so
%_includedir/%{_libname}
%_libdir/pkgconfig/%{_libname}.pc

%changelog
* Sun Jun 15 2008 toni@links2linux.de
- update to 0.1.3
* Sun Dec 30 2007 toni@links2linux.de
- corrected libdjconsole.pc for 64bit
* Tue Dec 25 2007 toni@links2linux.de
- corrected libdjconsole.pc for 64bit
* Sat Sep  8 2007 toni@links2linux.de
- openSUSE-10.3 build, corrected BuildRequires
- changed package layout according Shared Library Packaging Policy
* Wed Feb  7 2007 toni@links2linux.de
- added -lusb in libdjconsole.pc and in Requires for libdjconsole-devel
* Wed Jan  3 2007 toni@links2linux.de
- fixed lidjconsole.pc
* Fri Dec 22 2006 toni@links2linux.de
- update to 0.1.2
* Mon Dec  4 2006 toni@links2linux.de
- initial package 0.1.1
